TIBCO EMS .NET API 8.5 TIBCO EMS .NET API 8.5

- Main Page
- Related Pages
- Namespaces
- Classes

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | List of all members
TIBCO.EMS.CannotProceedException Class Reference

This exception is thrown when the naming service cannot be proceeded because of insufficient information to resolve a lookup request. More...

Inheritance diagram for TIBCO.EMS.CannotProceedException:

## Public Member Functions
| CannotProceedException (string reason)
| Constructs a CannotProceedException with the specified reason and with the root cause defaulting to null More...
Public Member Functions inherited from TIBCO.EMS.NamingException
| NamingException (string reason)
| Constructs a NamingException with the specified reason and with the root cause defaulting to null More...
Public Member Functions inherited from TIBCO.EMS.EMSException
| EMSException (string reason, string errorCode)
| Initializes a new instance of the EMSException with the specified reason and error code. More...
| EMSException (string reason)
| Initializes a new instance of the EMSException with the specified reason. More...
| EMSException (string reason, int errorNumber)
| Initializes a new instance of the EMSException with the specified reason and error number More...

## Additional Inherited Members
Properties inherited from TIBCO.EMS.NamingException
System.Exception | RootCause`[get, set]`
| Gets or sets the root cause of the exception More...
Properties inherited from TIBCO.EMS.EMSException
string | ErrorCode`[get]`
| Gets the error code associated with this exception More...
System.Exception | LinkedException`[get, set]`
| Get and Set the exception linked to this one More...

## Detailed Description

This exception is thrown when the naming service cannot be proceeded because of insufficient information to resolve a lookup request.

A destination lookup request found both a queue and a topic with the specified name. To resolve this situation, specify the destination name in one of these forms:

- $topic:topic-name>
- $queue:queue-name

## Constructor & Destructor Documentation

TIBCO.EMS.CannotProceedException.CannotProceedException | ( | string | reason | ) |
| inline

Constructs a CannotProceedException with the specified reason and with the root cause defaulting to null

Parameters

  reason | a description of the exception